=== plugins/wiki/www/locale/Makefile ===
# locale/Makefile
#
# This is a replacement for locale/translate.sh to avoid remaking
# files that don't need to be remade.
#

POT_FILE = po/phpwiki.pot
GETTEXT_LINT_REPORTXSL = /usr/local/share/gettext-lint/report.xsl

.PHONY: all po mo clean depend ${POT_FILE}

all	: po mo
po 	: # dependencies are auto-generated by 'make depend' , see below
mo	: # dependencies are auto-generated by 'make depend' , see below

${POT_FILE} : # dependencies are auto-generated by 'make depend' , see below
	cp -f $@ $@~
	xgettext -L PHP --from-code=utf-8 -k_ -k__printf -k__sprintf -k__vsprintf -kfmt -o $@.extracted $^
	sed -e's,; charset=CHARSET,; charset=UTF-8,' $@.extracted
	msgmerge -o $@.new $@~ $@.extracted && grep -v ^\#: $@.new > $@
	rm -f $@.extracted 

# merge in place to keep unchanged timestamps
po/%.po : ${POT_FILE}
	test -f $@ || touch $@
	cp -f $@ $@~
	msgmerge -o $@.new $@~ $^ && grep -v ^\#: $@.new > $@

%/LC_MESSAGES/phpwiki.mo : po/%.po
	mkdir -p $*/LC_MESSAGES
	msgfmt -o $@ $<

clean :
	rm -f ./*/LC_MESSAGES/phpwiki.mo

depend :
	$(SHELL) update-makefile.sh

dep :
	@echo "Please use make depend"

# requires gettext-lint installed into /usr/local. (configure && make && make install)
# http://gettext-lint.sourceforge.net/
check: 
	POFileChecker po/*.po | xsltproc $(GETTEXT_LINT_REPORTXSL) - | \
		perl -pe's/<table>/<table border="1">/; s/<tr><td rowspan=/<tr valign="top"><td rowspan=/g' \
	        > POFileChecker.html

# DO NOT DELETE THIS LINE
#
# The remainder of this file is auto-generated
#
# (Run 'make depend' regenerate this section.)
#
po: po/de.po
mo: de/LC_MESSAGES/phpwiki.mo
po: po/es.po
mo: es/LC_MESSAGES/phpwiki.mo
po: po/fr.po
mo: fr/LC_MESSAGES/phpwiki.mo
po: po/it.po
mo: it/LC_MESSAGES/phpwiki.mo
po: po/ja.po
mo: ja/LC_MESSAGES/phpwiki.mo
po: po/nl.po
mo: nl/LC_MESSAGES/phpwiki.mo
po: po/sv.po
mo: sv/LC_MESSAGES/phpwiki.mo
po: po/zh.po
mo: zh/LC_MESSAGES/phpwiki.mo
#
${POT_FILE}: ../lib/ArchiveCleaner.php
${POT_FILE}: ../lib/AtomParser.php
${POT_FILE}: ../lib/BlockParser.php
${POT_FILE}: ../lib/CachedMarkup.php
${POT_FILE}: ../lib/Captcha.php
${POT_FILE}: ../lib/config.php
${POT_FILE}: ../lib/DbaDatabase.php
${POT_FILE}: ../lib/DbaListSet.php
${POT_FILE}: ../lib/DbaPartition.php
${POT_FILE}: ../lib/DbSession/ADODB.php
${POT_FILE}: ../lib/DbSession/dba.php
${POT_FILE}: ../lib/DbSession/PDO.php
${POT_FILE}: ../lib/DbSession.php
${POT_FILE}: ../lib/DbSession/SQL.php
${POT_FILE}: ../lib/diff3.php
${POT_FILE}: ../lib/difflib.php
${POT_FILE}: ../lib/diff.php
${POT_FILE}: ../lib/display.php
${POT_FILE}: ../lib/editpage.php
${POT_FILE}: ../lib/EditToolbar.php
${POT_FILE}: ../lib/ErrorManager.php
${POT_FILE}: ../lib/ExternalReferrer.php
${POT_FILE}: ../lib/FileFinder.php
${POT_FILE}: ../lib/font/chinese.php
${POT_FILE}: ../lib/font/courierbi.php
${POT_FILE}: ../lib/font/courierb.php
${POT_FILE}: ../lib/font/courieri.php
${POT_FILE}: ../lib/font/courier.php
${POT_FILE}: ../lib/font/helveticabi.php
${POT_FILE}: ../lib/font/helveticab.php
${POT_FILE}: ../lib/font/helveticai.php
${POT_FILE}: ../lib/font/helvetica.php
${POT_FILE}: ../lib/font/japanese.php
${POT_FILE}: ../lib/font/symbol.php
${POT_FILE}: ../lib/font/timesbi.php
${POT_FILE}: ../lib/font/timesb.php
${POT_FILE}: ../lib/font/timesi.php
${POT_FILE}: ../lib/font/times.php
${POT_FILE}: ../lib/font/zapfdingbats.php
${POT_FILE}: ../lib/fortune.php
${POT_FILE}: ../lib/gif.php
${POT_FILE}: ../lib/Google.php
${POT_FILE}: ../lib/HtmlElement.php
${POT_FILE}: ../lib/HtmlParser.php
${POT_FILE}: ../lib/HttpClient.php
${POT_FILE}: ../lib/imagecache.php
${POT_FILE}: ../lib/IniConfig.php
${POT_FILE}: ../lib/InlineParser.php
${POT_FILE}: ../lib/install.php
${POT_FILE}: ../lib/loadsave.php
${POT_FILE}: ../lib/MailNotify.php
${POT_FILE}: ../lib/main.php
${POT_FILE}: ../lib/PageList.php
${POT_FILE}: ../lib/PagePerm.php
${POT_FILE}: ../lib/PageType.php
${POT_FILE}: ../lib/pdf.php
${POT_FILE}: ../lib/plugin/AddComment.php
${POT_FILE}: ../lib/plugin/AllPages.php
${POT_FILE}: ../lib/plugin/AllUsers.php
${POT_FILE}: ../lib/plugin/AnalyseAccessLogSql.php
${POT_FILE}: ../lib/plugin/AppendText.php
${POT_FILE}: ../lib/plugin/AsciiMath.php
${POT_FILE}: ../lib/plugin/AsciiSVG.php
${POT_FILE}: ../lib/plugin/AtomFeed.php
${POT_FILE}: ../lib/plugin/AuthorHistory.php
${POT_FILE}: ../lib/plugin/BackLinks.php
${POT_FILE}: ../lib/plugin/BlogArchives.php
${POT_FILE}: ../lib/plugin/BlogJournal.php
${POT_FILE}: ../lib/plugin/BoxRight.php
${POT_FILE}: ../lib/plugin/CacheTest.php
${POT_FILE}: ../lib/plugin/CalendarList.php
${POT_FILE}: ../lib/plugin/Calendar.php
${POT_FILE}: ../lib/plugin/CategoryPage.php
${POT_FILE}: ../lib/plugin/Chart.php
${POT_FILE}: ../lib/plugin/Comment.php
${POT_FILE}: ../lib/plugin/CreateBib.php
${POT_FILE}: ../lib/plugin/CreatePage.php
${POT_FILE}: ../lib/plugin/CreateToc.php
${POT_FILE}: ../lib/plugin/CurrentTime.php
${POT_FILE}: ../lib/plugin/DeadEndPages.php
${POT_FILE}: ../lib/plugin/DebugAuthInfo.php
${POT_FILE}: ../lib/plugin/DebugBackendInfo.php
${POT_FILE}: ../lib/plugin/DebugGroupInfo.php
${POT_FILE}: ../lib/plugin/DebugRetransform.php
${POT_FILE}: ../lib/plugin/Diff.php
${POT_FILE}: ../lib/plugin/DynamicIncludePage.php
${POT_FILE}: ../lib/plugin/EditMetaData.php
${POT_FILE}: ../lib/plugin/ExternalSearch.php
${POT_FILE}: ../lib/plugin/FacebookLike.php
${POT_FILE}: ../lib/plugin/FileInfo.php
${POT_FILE}: ../lib/plugin/FoafViewer.php
${POT_FILE}: ../lib/plugin/FrameInclude.php
${POT_FILE}: ../lib/plugin/FullTextSearch.php
${POT_FILE}: ../lib/plugin/FuzzyPages.php
${POT_FILE}: ../lib/plugin/GoogleMaps.php
${POT_FILE}: ../lib/plugin/GooglePlugin.php
${POT_FILE}: ../lib/plugin/GoTo.php
${POT_FILE}: ../lib/plugin/GraphViz.php
${POT_FILE}: ../lib/plugin/HelloWorld.php
${POT_FILE}: ../lib/plugin/HtmlConverter.php
${POT_FILE}: ../lib/plugin/IncludePage.php
${POT_FILE}: ../lib/plugin/IncludePages.php
${POT_FILE}: ../lib/plugin/IncludeSiteMap.php
${POT_FILE}: ../lib/plugin/IncludeTree.php
${POT_FILE}: ../lib/plugin/InterWikiSearch.php
${POT_FILE}: ../lib/plugin/JabberPresence.php
${POT_FILE}: ../lib/plugin/LdapSearch.php
${POT_FILE}: ../lib/plugin/LikePages.php
${POT_FILE}: ../lib/plugin/LinkDatabase.php
${POT_FILE}: ../lib/plugin/LinkSearch.php
${POT_FILE}: ../lib/plugin/ListPages.php
${POT_FILE}: ../lib/plugin/ListRelations.php
${POT_FILE}: ../lib/plugin/ListSubpages.php
${POT_FILE}: ../lib/plugin/MediawikiTable.php
${POT_FILE}: ../lib/plugin/ModeratedPage.php
${POT_FILE}: ../lib/plugin/MostPopular.php
${POT_FILE}: ../lib/plugin/NewPagesPerUser.php
${POT_FILE}: ../lib/plugin/NoCache.php
${POT_FILE}: ../lib/plugin/OldStyleTable.php
${POT_FILE}: ../lib/plugin/OrphanedPages.php
${POT_FILE}: ../lib/plugin/PageDump.php
${POT_FILE}: ../lib/plugin/PageGroup.php
${POT_FILE}: ../lib/plugin/PageHistory.php
${POT_FILE}: ../lib/plugin/PageInfo.php
${POT_FILE}: ../lib/plugin/PageTrail.php
${POT_FILE}: ../lib/plugin/PasswordReset.php
${POT_FILE}: ../lib/plugin/PhotoAlbum.php
${POT_FILE}: ../lib/plugin/PhpHighlight.php
${POT_FILE}: ../lib/plugin/PhpWeather.php
${POT_FILE}: ../lib/plugin/Ploticus.php
${POT_FILE}: ../lib/plugin/PluginManager.php
${POT_FILE}: ../lib/plugin/PopularNearby.php
${POT_FILE}: ../lib/plugin/PopularTags.php
${POT_FILE}: ../lib/plugin/PopUp.php
${POT_FILE}: ../lib/plugin/PreferenceApp.php
${POT_FILE}: ../lib/plugin/PreferencesInfo.php
${POT_FILE}: ../lib/plugin/PrevNext.php
${POT_FILE}: ../lib/plugin/Processing.php
${POT_FILE}: ../lib/plugin/RandomPage.php
${POT_FILE}: ../lib/plugin/RateIt.php
${POT_FILE}: ../lib/plugin/RawHtml.php
${POT_FILE}: ../lib/plugin/RecentChangesCached.php
${POT_FILE}: ../lib/plugin/RecentChanges.php
${POT_FILE}: ../lib/plugin/RecentComments.php
${POT_FILE}: ../lib/plugin/RecentEdits.php
${POT_FILE}: ../lib/plugin/RecentReferrers.php
${POT_FILE}: ../lib/plugin/RedirectTo.php
${POT_FILE}: ../lib/plugin/RelatedChanges.php
${POT_FILE}: ../lib/plugin/RichTable.php
${POT_FILE}: ../lib/plugin/RssFeed.php
${POT_FILE}: ../lib/plugin/SearchHighlight.php
${POT_FILE}: ../lib/plugin/SemanticRelations.php
${POT_FILE}: ../lib/plugin/SemanticSearchAdvanced.php
${POT_FILE}: ../lib/plugin/SemanticSearch.php
${POT_FILE}: ../lib/plugin/SiteMap.php
${POT_FILE}: ../lib/plugin/SpellCheck.php
${POT_FILE}: ../lib/plugin/SqlResult.php
${POT_FILE}: ../lib/plugin/SyncWiki.php
${POT_FILE}: ../lib/plugin/SystemInfo.php
${POT_FILE}: ../lib/plugin/Template.php
${POT_FILE}: ../lib/plugin/TeX2png.php
${POT_FILE}: ../lib/plugin/text2png.php
${POT_FILE}: ../lib/plugin/TexToPng.php
${POT_FILE}: ../lib/plugin/TitleSearch.php
${POT_FILE}: ../lib/plugin/Transclude.php
${POT_FILE}: ../lib/plugin/TranslateText.php
${POT_FILE}: ../lib/plugin/UnfoldSubpages.php
${POT_FILE}: ../lib/plugin/UpLoad.php
${POT_FILE}: ../lib/plugin/UriResolver.php
${POT_FILE}: ../lib/plugin/UserPreferences.php
${POT_FILE}: ../lib/plugin/UserRatings.php
${POT_FILE}: ../lib/plugin/VisualWiki.php
${POT_FILE}: ../lib/plugin/WantedPagesOld.php
${POT_FILE}: ../lib/plugin/WantedPages.php
${POT_FILE}: ../lib/plugin/WatchPage.php
${POT_FILE}: ../lib/plugin/WhoIsOnline.php
${POT_FILE}: ../lib/plugin/WikiAdminChown.php
${POT_FILE}: ../lib/plugin/WikiAdminDeleteAcl.php
${POT_FILE}: ../lib/plugin/WikiAdminPurge.php
${POT_FILE}: ../lib/plugin/WikiAdminRemove.php
${POT_FILE}: ../lib/plugin/WikiAdminRename.php
${POT_FILE}: ../lib/plugin/WikiAdminSearchReplace.php
${POT_FILE}: ../lib/plugin/WikiAdminSelect.php
${POT_FILE}: ../lib/plugin/WikiAdminSetAcl.php
${POT_FILE}: ../lib/plugin/WikiAdminSetExternal.php
${POT_FILE}: ../lib/plugin/WikiAdminUtils.php
${POT_FILE}: ../lib/plugin/WikiBlog.php
${POT_FILE}: ../lib/plugin/WikicreoleTable.php
${POT_FILE}: ../lib/plugin/WikiForm.php
${POT_FILE}: ../lib/plugin/WikiFormRich.php
${POT_FILE}: ../lib/plugin/WikiForum.php
${POT_FILE}: ../lib/plugin/WikiPoll.php
${POT_FILE}: ../lib/plugin/WikiTranslation.php
${POT_FILE}: ../lib/plugin/YouTube.php
${POT_FILE}: ../lib/prepend.php
${POT_FILE}: ../lib/purgepage.php
${POT_FILE}: ../lib/removepage.php
${POT_FILE}: ../lib/Request.php
${POT_FILE}: ../lib/RssParser.php
${POT_FILE}: ../lib/RSSWriter091.php
${POT_FILE}: ../lib/RssWriter2.php
${POT_FILE}: ../lib/RssWriter.php
${POT_FILE}: ../lib/SemanticWeb.php
${POT_FILE}: ../lib/spam_babycart.php
${POT_FILE}: ../lib/SpamBlocklist.php
${POT_FILE}: ../lib/stdlib.php
${POT_FILE}: ../lib/Template.php
${POT_FILE}: ../lib/TextSearchQuery.php
${POT_FILE}: ../lib/Units.php
${POT_FILE}: ../lib/upgrade.php
${POT_FILE}: ../lib/WikiCallback.php
${POT_FILE}: ../lib/WikiDB/ADODB.php
${POT_FILE}: ../lib/WikiDB/backend/ADODB_mssqlnative.php
${POT_FILE}: ../lib/WikiDB/backend/ADODB_mssql.php
${POT_FILE}: ../lib/WikiDB/backend/ADODB_mysql.php
${POT_FILE}: ../lib/WikiDB/backend/ADODB_oci8po.php
${POT_FILE}: ../lib/WikiDB/backend/ADODB.php
${POT_FILE}: ../lib/WikiDB/backend/ADODB_postgres7.php
${POT_FILE}: ../lib/WikiDB/backend/ADODB_sqlite.php
${POT_FILE}: ../lib/WikiDB/backend/cvs.php
${POT_FILE}: ../lib/WikiDB/backend/dbaBase.php
${POT_FILE}: ../lib/WikiDB/backend/dba.php
${POT_FILE}: ../lib/WikiDB/backend/dumb/AllRevisionsIter.php
${POT_FILE}: ../lib/WikiDB/backend/dumb/BackLinkIter.php
${POT_FILE}: ../lib/WikiDB/backend/dumb/LinkSearchIter.php
${POT_FILE}: ../lib/WikiDB/backend/dumb/MostPopularIter.php
${POT_FILE}: ../lib/WikiDB/backend/dumb/MostRecentIter.php
${POT_FILE}: ../lib/WikiDB/backend/dumb/TextSearchIter.php
${POT_FILE}: ../lib/WikiDB/backend/dumb/WantedPagesIter.php
${POT_FILE}: ../lib/WikiDB/backend/file.php
${POT_FILE}: ../lib/WikiDB/backend/flatfile.php
${POT_FILE}: ../lib/WikiDB/backend/PDO_mysql.php
${POT_FILE}: ../lib/WikiDB/backend/PDO_oci8.php
${POT_FILE}: ../lib/WikiDB/backend/PDO_pgsql.php
${POT_FILE}: ../lib/WikiDB/backend/PDO.php
${POT_FILE}: ../lib/WikiDB/backend/PearDB_ffpgsql.php
${POT_FILE}: ../lib/WikiDB/backend/PearDB_mysql.php
${POT_FILE}: ../lib/WikiDB/backend/PearDB_oci8.php
${POT_FILE}: ../lib/WikiDB/backend/PearDB_pgsql.php
${POT_FILE}: ../lib/WikiDB/backend/PearDB.php
${POT_FILE}: ../lib/WikiDB/backend/PearDB_sqlite.php
