=== debian/changelog ===
fusionforge (6.0.5-2ubuntu1) bionic; urgency=medium

  * d/{control, plugins}: Drop plugins that depend on no longer packaged
    libarc-php and libgraphite-php.
    - Debian Bug #846219, LP #1694835 and Debian Bug #846073

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 19 Mar 2018 11:51:52 -0700

fusionforge (6.0.5-2) unstable; urgency=medium

  * Disable the scmcvs and scmbzr plugins in official Debian packages (not
    the ones built by fusionforge.org), again.  Mediawiki is still fine.
  * Adapt installation script to PostgreSQL 10 (which dropped the
    createlang tool).

 -- Roland Mas <lolando@debian.org>  Sat, 02 Dec 2017 16:52:51 +0100

fusionforge (6.0.5-1) unstable; urgency=medium

  * New upstream release.
  * More packaging fixes for php7.0:
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821486).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821487).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821488).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821489).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821490).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821491).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821492).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821493).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821494).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821495).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821496).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821497).
  * Fixed Lintian warning (fusionforge-web dependency on virtual package
    only).
  * Removed Olivier Berger from uploaders.  Thanks, Olivier!

 -- Roland Mas <lolando@debian.org>  Fri, 17 Nov 2017 16:19:24 +0100
