=== debian/watch ===
version=3

opts="uversionmangle=s/(rc\d+)/~$1/" https://fusionforge.org/frs/?group_id=6 /frs/download.php/.*/fusionforge-([\d\.]*(?:rc\d+)?).tar.bz2
